3 2

[alpine-aports] [PATCH] testing/pygal: New aport

Marian Buschsieweke
Details
Message ID
<20180502145222.5059-1-marian.buschsieweke@ovgu.de>
Sender timestamp
1525272742
DKIM signature
missing
Download raw message
Patch: +42 -0
pygal is a dynamic SVG charting library written in python
https://pygal.org
---
 testing/pygal/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/pygal/APKBUILD

diff --git a/testing/pygal/APKBUILD b/testing/pygal/APKBUILD
new file mode 100644
index 0000000000..e459f22ec6
--- /dev/null
+++ b/testing/pygal/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Marian Buschsieweke <marian.buschsieweke@ovgu.de>
+pkgname=pygal
+pkgver=2.4.0
+pkgrel=0
+pkgdesc="pygal is a dynamic SVG charting library written in python"
+url="https://pygal.org"
+arch="noarch"
+license="LGPL3"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname}:_py2 py3-${pkgname}:_py3"
+source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+sha512sums="5cb95ca5c0cf74ae476953f3503154a305a0b5e42c69191b0b46f6e6cfea8c806713fe175329a69b393654d055997b2063cf3b641e91009a2b7bef219bb49ddb  pygal-2.4.0.tar.gz"
-- 
2.17.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<CAGG_d8DeGEwCKVYB5QZecApKgr=7nUHqyxVSwO0G9ECh=F0Dyw@mail.gmail.com>
In-Reply-To
<20180502145222.5059-1-marian.buschsieweke@ovgu.de> (view parent)
Sender timestamp
1527687304
DKIM signature
missing
Download raw message
Hi,

please see some comments below.

On Wed, May 2, 2018 at 4:52 PM, Marian Buschsieweke <
marian.buschsieweke@ovgu.de> wrote:

> pygal is a dynamic SVG charting library written in python
> https://pygal.org
> ---
>  testing/pygal/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 42 insertions(+)
>  create mode 100644 testing/pygal/APKBUILD
>
> diff --git a/testing/pygal/APKBUILD b/testing/pygal/APKBUILD
> new file mode 100644
> index 0000000000..e459f22ec6
> --- /dev/null
> +++ b/testing/pygal/APKBUILD
> @@ -0,0 +1,42 @@
> +# Maintainer: Marian Buschsieweke <marian.buschsieweke@ovgu.de>
> +pkgname=pygal
>


I think we should call it "py-gal" regardless of the actual upstream name,
for the sake of naming consistency of all pyhon packages.



> +pkgver=2.4.0
> +pkgrel=0
> +pkgdesc="pygal is a dynamic SVG charting library written in python"
> +url="https://pygal.org"
> +arch="noarch"
> +license="LGPL3"
> +makedepends="python2-dev python3-dev py-setuptools"
> +subpackages="py2-${pkgname}:_py2 py3-${pkgname}:_py3"
> +source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$
> pkgname/$pkgname-$pkgver.tar.gz"
> +builddir="$srcdir"/$pkgname-$pkgver
> +
> +build() {
> +       cd "$builddir"
> +       python2 setup.py build || return 1
> +       python3 setup.py build || return 1
> +}
> +
>


"|| return 1" can be omitted


Thanks!

/eo
Marian Buschsieweke
Details
Message ID
<20180530163417.21284613@faultier2go>
In-Reply-To
<CAGG_d8DeGEwCKVYB5QZecApKgr=7nUHqyxVSwO0G9ECh=F0Dyw@mail.gmail.com> (view parent)
Sender timestamp
1527690857
DKIM signature
missing
Download raw message
Hi,

thanks for the feedback. I attached the fixed patch.

Kind regards,
Marian

-------------------------------------------------------------
M.Sc. Marian Buschsieweke
Dept. Communication and Networked Systems (ComSys)
Institute for Intelligent Cooperating Systems (IKS)
Otto-von-Guericke-University of Magdeburg
Universitätsplatz 2, Building 29, Room 314
39106 Magdeburg
Germany

http://www.comsys.ovgu.de/Team/Marian+Buschsieweke.html
Tel.: +49 - 391 - 67 - 52673
Fax:  +49 - 391 - 67 - 41161

-------------------------------------------------------------

On Wed, 30 May 2018 15:35:04 +0200
Leonardo Arena <rnalrd@gmail.com> wrote:

> Hi,
> 
> please see some comments below.
> 
> On Wed, May 2, 2018 at 4:52 PM, Marian Buschsieweke <
> marian.buschsieweke@ovgu.de> wrote:  
> 
> > pygal is a dynamic SVG charting library written in python
> > https://pygal.org
> > ---
> >  testing/pygal/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
> >  1 file changed, 42 insertions(+)
> >  create mode 100644 testing/pygal/APKBUILD
> >
> > diff --git a/testing/pygal/APKBUILD b/testing/pygal/APKBUILD
> > new file mode 100644
> > index 0000000000..e459f22ec6
> > --- /dev/null
> > +++ b/testing/pygal/APKBUILD
> > @@ -0,0 +1,42 @@
> > +# Maintainer: Marian Buschsieweke <marian.buschsieweke@ovgu.de>
> > +pkgname=pygal
> >  
> 
> 
> I think we should call it "py-gal" regardless of the actual upstream name,
> for the sake of naming consistency of all pyhon packages.
> 
> 
> 
> > +pkgver=2.4.0
> > +pkgrel=0
> > +pkgdesc="pygal is a dynamic SVG charting library written in python"
> > +url="https://pygal.org"
> > +arch="noarch"
> > +license="LGPL3"
> > +makedepends="python2-dev python3-dev py-setuptools"
> > +subpackages="py2-${pkgname}:_py2 py3-${pkgname}:_py3"
> > +source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$
> > pkgname/$pkgname-$pkgver.tar.gz"
> > +builddir="$srcdir"/$pkgname-$pkgver
> > +
> > +build() {
> > +       cd "$builddir"
> > +       python2 setup.py build || return 1
> > +       python3 setup.py build || return 1
> > +}
> > +
> >  
> 
> 
> "|| return 1" can be omitted
> 
> 
> Thanks!
> 
> /eo
Leonardo Arena
Details
Message ID
<CAGG_d8BBcNgD14o6x9UmE3Z+18BX2dGmvZrxjU5JwRqq_Gsnvw@mail.gmail.com>
In-Reply-To
<20180530163417.21284613@faultier2go> (view parent)
Sender timestamp
1539585624
DKIM signature
missing
Download raw message
Hi,

applied with further modifications.

On Wed, May 30, 2018 at 4:34 PM Marian Buschsieweke <
marian.buschsieweke@ovgu.de> wrote:

> Hi,
>
> thanks for the feedback. I attached the fixed patch.
>
> Kind regards,
> Marian
>
> -------------------------------------------------------------
> M.Sc. Marian Buschsieweke
> Dept. Communication and Networked Systems (ComSys)
> Institute for Intelligent Cooperating Systems (IKS)
> Otto-von-Guericke-University of Magdeburg
> Universitätsplatz 2, Building 29, Room 314
> 39106 Magdeburg
> Germany
>
> http://www.comsys.ovgu.de/Team/Marian+Buschsieweke.html
> Tel.: +49 - 391 - 67 - 52673
> Fax:  +49 - 391 - 67 - 41161
>
> -------------------------------------------------------------
>
> On Wed, 30 May 2018 15:35:04 +0200
> Leonardo Arena <rnalrd@gmail.com> wrote:
>
> > Hi,
> >
> > please see some comments below.
> >
> > On Wed, May 2, 2018 at 4:52 PM, Marian Buschsieweke <
> > marian.buschsieweke@ovgu.de> wrote:
> >
> > > pygal is a dynamic SVG charting library written in python
> > > https://pygal.org
> > > ---
> > >  testing/pygal/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
> > >  1 file changed, 42 insertions(+)
> > >  create mode 100644 testing/pygal/APKBUILD
>

Looking at other packages whose name start with "py", I kept the "py" in
the name and added the prefix "py-".
So the package name is actually py-pygal.



> > >
> > > diff --git a/testing/pygal/APKBUILD b/testing/pygal/APKBUILD
> > > new file mode 100644
> > > index 0000000000..e459f22ec6
> > > --- /dev/null
> > > +++ b/testing/pygal/APKBUILD
> > > @@ -0,0 +1,42 @@
> > > +# Maintainer: Marian Buschsieweke <marian.buschsieweke@ovgu.de>
> > > +pkgname=pygal
> > >
> >
> >
> > I think we should call it "py-gal" regardless of the actual upstream
> name,
> > for the sake of naming consistency of all pyhon packages.
> >
> >
> >
> > > +pkgver=2.4.0
> > > +pkgrel=0
> > > +pkgdesc="pygal is a dynamic SVG charting library written in python"
> > > +url="https://pygal.org"
> > > +arch="noarch"
> > > +license="LGPL3"
>


Fixed license ID.


> > > +makedepends="python2-dev python3-dev py-setuptools"
> > > +subpackages="py2-${pkgname}:_py2 py3-${pkgname}:_py3"
> > > +source="
> https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$
> > > pkgname/$pkgname-$pkgver.tar.gz"
> > > +builddir="$srcdir"/$pkgname-$pkgver
>


Disabled tests since there aren't any.

 Thanks

/eo